<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_FairValueGainsOnContingentConsiderationInclFinanceExpense" xlink:label="foresightgroup_FairValueGainsOnContingentConsiderationInclFinanceExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_CurrentAcquisitionRelatedLiabilities" xlink:label="foresightgroup_CurrentAcquisitionRelatedLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssetsLiabilities" xlink:label="ifrs-full_CurrentAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_NonCurrentAcquisitionRelatedLiabilities" xlink:label="foresightgroup_NonCurrentAcquisitionRelatedLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_SharesHeldInEscrowReserve" xlink:label="foresightgroup_SharesHeldInEscrowReserve" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_OwnShareReserve" xlink:label="foresightgroup_OwnShareReserve" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_GroupReorganisationReserve" xlink:label="foresightgroup_GroupReorganisationReserve" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_SharesHeldInEscrowReserveMember" xlink:label="foresightgroup_SharesHeldInEscrowReserveMember" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_OwnShareReserveMember" xlink:label="foresightgroup_OwnShareReserveMember" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_GroupReorganisationReserveMember" xlink:label="foresightgroup_GroupReorganisationReserveMember" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_TransferOfTreasurySharesOnExerciseOfShareOptions" xlink:label="foresightgroup_TransferOfTreasurySharesOnExerciseOfShareOptions" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition" xlink:label="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_TransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition" xlink:label="foresightgroup_TransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_PremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan" xlink:label="foresightgroup_PremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition" xlink:label="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_LossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities" xlink:label="foresightgroup_LossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_ProfitBeforeTaxClassifiedAsOperatingActivities" xlink:label="foresightgroup_ProfitBeforeTaxClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense" xlink:label="foresightgroup_AdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions" xlink:label="foresightgroup_AdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts" xlink:label="foresightgroup_AdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts" xlink:label="foresightgroup_AdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AdjustmentsForDecreaseIncreaseInContractCosts" xlink:label="foresightgroup_AdjustmentsForDecreaseIncreaseInContractCosts" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_EarnOutConsiderationPaidClassifiedAsOperatingActivities" xlink:label="foresightgroup_EarnOutConsiderationPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_InitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities" xlink:label="foresightgroup_InitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_ProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities" xlink:label="foresightgroup_ProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_ContingentConsiderationPaidClassifiedAsInvestingActivities" xlink:label="foresightgroup_ContingentConsiderationPaidClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_AcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities" xlink:label="foresightgroup_AcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_FGLLPMembersCapitalContributionsClassifiedAsFinancingActivities" xlink:label="foresightgroup_FGLLPMembersCapitalContributionsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_PurchaseOfOwnSharesClassifiedAsFinancingActivities" xlink:label="foresightgroup_PurchaseOfOwnSharesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_PurchaseOfTreasurySharesClassifiedAsFinancingActivities" xlink:label="foresightgroup_PurchaseOfTreasurySharesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="foresightgroup_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_ProceedsFromLeaseIncentivesClassifiedAsFinancingActivities" xlink:label="foresightgroup_ProceedsFromLeaseIncentivesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_InterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities" xlink:label="foresightgroup_InterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_OtherInterestPaidClassifiedAsFinancingActivities" xlink:label="foresightgroup_OtherInterestPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_DisclosureOfImpactOfSustainabilityAndClimateChange" xlink:label="foresightgroup_DisclosureOfImpactOfSustainabilityAndClimateChange" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_DisclosureOfContractAssets" xlink:label="foresightgroup_DisclosureOfContractAssets" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_DisclosureOfAcquisitionRelatedLiabilities" xlink:label="foresightgroup_DisclosureOfAcquisitionRelatedLiabilities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_DescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities" xlink:label="foresightgroup_DescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities" />
    <loc xlink:type="locator" xlink:href="213800NNT42FFIZB1T09-2026-03-31.xsd#foresightgroup_DisclosureOfUltimateHoldingCompany" xlink:label="foresightgroup_DisclosureOfUltimateHoldingCompany" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_foresightgroup_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_FairValueGainsOnContingentConsiderationInclFinanceExpense" xlink:to="label_foresightgroup_foresightgroupFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:to="label_foresightgroup_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_CurrentAcquisitionRelatedLiabilities" xlink:to="label_foresightgroup_foresightgroupCurrentAcquisitionRelatedLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssetsLiabilities" xlink:to="label_foresightgroup_ifrs-fullCurrentAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_NonCurrentAcquisitionRelatedLiabilities" xlink:to="label_foresightgroup_foresightgroupNonCurrentAcquisitionRelatedLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_foresightgroup_ifrs-fullNetAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_SharesHeldInEscrowReserve" xlink:to="label_foresightgroup_foresightgroupSharesHeldInEscrowReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_OwnShareReserve" xlink:to="label_foresightgroup_foresightgroupOwnShareReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_GroupReorganisationReserve" xlink:to="label_foresightgroup_foresightgroupGroupReorganisationReserve_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_SharesHeldInEscrowReserveMember" xlink:to="label_foresightgroup_SharesHeldInEscrowReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_OwnShareReserveMember" xlink:to="label_foresightgroup_OwnShareReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_GroupReorganisationReserveMember" xlink:to="label_foresightgroup_GroupReorganisationReserveMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_TransferOfTreasurySharesOnExerciseOfShareOptions" xlink:to="label_foresightgroup_foresightgroupTransferOfTreasurySharesOnExerciseOfShareOptions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition" xlink:to="label_foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_TransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition" xlink:to="label_foresightgroup_foresightgroupTransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_PremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan" xlink:to="label_foresightgroup_foresightgroupPremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_TransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition" xlink:to="label_foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_LossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities" xlink:to="label_foresightgroup_foresightgroupLossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_ProfitBeforeTaxClassifiedAsOperatingActivities" xlink:to="label_foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_ProfitBeforeTaxClassifiedAsOperatingActivities" xlink:to="label_foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense" xlink:to="label_foresightgroup_foresightgroupAdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions" xlink:to="label_foresightgroup_foresightgroupAdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts" xlink:to="label_foresightgroup_foresightgroupAdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts" xlink:to="label_foresightgroup_foresightgroupAdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AdjustmentsForDecreaseIncreaseInContractCosts" xlink:to="label_foresightgroup_foresightgroupAdjustmentsForDecreaseIncreaseInContractCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_foresightgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_EarnOutConsiderationPaidClassifiedAsOperatingActivities" xlink:to="label_foresightgroup_foresightgroupEarnOutConsiderationPaidClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_foresightgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_InitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities" xlink:to="label_foresightgroup_foresightgroupInitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_ProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities" xlink:to="label_foresightgroup_foresightgroupProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_ContingentConsiderationPaidClassifiedAsInvestingActivities" xlink:to="label_foresightgroup_foresightgroupContingentConsiderationPaidClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_AcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities" xlink:to="label_foresightgroup_foresightgroupAcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_foresightgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_FGLLPMembersCapitalContributionsClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupFGLLPMembersCapitalContributionsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_PurchaseOfOwnSharesClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupPurchaseOfOwnSharesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_PurchaseOfTreasurySharesClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupPurchaseOfTreasurySharesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_ProceedsFromLeaseIncentivesClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupProceedsFromLeaseIncentivesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_InterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupInterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_OtherInterestPaidClassifiedAsFinancingActivities" xlink:to="label_foresightgroup_foresightgroupOtherInterestPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_foresightgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_foresightgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_DisclosureOfImpactOfSustainabilityAndClimateChange" xlink:to="label_foresightgroup_foresightgroupDisclosureOfImpactOfSustainabilityAndClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_DisclosureOfContractAssets" xlink:to="label_foresightgroup_foresightgroupDisclosureOfContractAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_DisclosureOfAcquisitionRelatedLiabilities" xlink:to="label_foresightgroup_foresightgroupDisclosureOfAcquisitionRelatedLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_DescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities" xlink:to="label_foresightgroup_foresightgroupDescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="foresightgroup_DisclosureOfUltimateHoldingCompany" xlink:to="label_foresightgroup_foresightgroupDisclosureOfUltimateHoldingCompany_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_foresightgroup_ifrs-fullGrossProfit_Total" id="foresightgroup_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross profit</label>
    <label xlink:label="label_foresightgroup_foresightgroupFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" id="foresightgroup_foresightgroupFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value gains on contingent consideration (incl. finance expense)</label>
    <label xlink:label="label_foresightgroup_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" id="foresightgroup_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Proﬁt for the period attributable to Ordinary Shareholders</label>
    <label xlink:label="label_foresightgroup_foresightgroupCurrentAcquisitionRelatedLiabilities_Standard" id="foresightgroup_foresightgroupCurrentAcquisitionRelatedLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current acquisition-related liabilities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullCurrentAssetsLiabilities_Total" id="foresightgroup_ifrs-fullCurrentAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net current assets</label>
    <label xlink:label="label_foresightgroup_foresightgroupNonCurrentAcquisitionRelatedLiabilities_Standard" id="foresightgroup_foresightgroupNonCurrentAcquisitionRelatedLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-current acquisition-related liabilities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullNetAssetsLiabilities_Total" id="foresightgroup_ifrs-fullNetAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net assets</label>
    <label xlink:label="label_foresightgroup_foresightgroupSharesHeldInEscrowReserve_Standard" id="foresightgroup_foresightgroupSharesHeldInEscrowReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Shares held in escrow reserve</label>
    <label xlink:label="label_foresightgroup_foresightgroupOwnShareReserve_Standard" id="foresightgroup_foresightgroupOwnShareReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Own share reserve</label>
    <label xlink:label="label_foresightgroup_foresightgroupGroupReorganisationReserve_Standard" id="foresightgroup_foresightgroupGroupReorganisationReserve_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group reorganisation reserve</label>
    <label xlink:label="label_foresightgroup_SharesHeldInEscrowReserveMember" id="foresightgroup_SharesHeldInEscrowReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Shares held in escrow reserve [member]</label>
    <label xlink:label="label_foresightgroup_OwnShareReserveMember" id="foresightgroup_OwnShareReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Own share reserve [member]</label>
    <label xlink:label="label_foresightgroup_GroupReorganisationReserveMember" id="foresightgroup_GroupReorganisationReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group re-organisation reserve [member]</label>
    <label xlink:label="label_foresightgroup_foresightgroupTransferOfTreasurySharesOnExerciseOfShareOptions_Standard" id="foresightgroup_foresightgroupTransferOfTreasurySharesOnExerciseOfShareOptions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer of treasury shares on exercise of share options</label>
    <label xlink:label="label_foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition_Standard" id="foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureCapitalAcquisitition_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer on vesting of initial consideration shares issued for Infrastructure Capital acquisitition</label>
    <label xlink:label="label_foresightgroup_foresightgroupTransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition_Standard" id="foresightgroup_foresightgroupTransferOnVestingOfEarnOutPayableInSharesForInfrastructureCapitalAcquisition_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer on vesting of earn-out payable in shares for Infrastructure Capital acquisition</label>
    <label xlink:label="label_foresightgroup_foresightgroupPremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan_Standard" id="foresightgroup_foresightgroupPremiumOnSharesIssuedOnVestingOfThePerformanceSharePlan_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Premium on shares issued on vesting of the Performance Share Plan</label>
    <label xlink:label="label_foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition_Standard" id="foresightgroup_foresightgroupTransferOnVestingOfInitialConsiderationSharesIssuedForInfrastructureGroupAcquisition_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer on vesting of initial consideration shares issued for Infrastructure Group acquisition</label>
    <label xlink:label="label_foresightgroup_foresightgroupLossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities_Standard" id="foresightgroup_foresightgroupLossBeforeTaxFromDiscontinuedOperationsClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss before tax from discontinued operations classified as operating activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Standard" id="foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit before tax classified as operating activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Total" id="foresightgroup_foresightgroupProfitBeforeTaxClassifiedAsOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Profit before tax classified as operating activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupAdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" id="foresightgroup_foresightgroupAdjustmentsForFairValueGainsOnContingentConsiderationInclFinanceExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for fair value gains on contingent consideration (incl. finance expense)</label>
    <label xlink:label="label_foresightgroup_foresightgroupAdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions_Standard" id="foresightgroup_foresightgroupAdjustmentsForStaffCostsAcquisitionsExcludingShareBasedStaffCostsAcquisitions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for staff costs – acquisitions (excluding share- based staff costs – acquisitions)</label>
    <label xlink:label="label_foresightgroup_foresightgroupAdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts_Standard" id="foresightgroup_foresightgroupAdjustmentsForImpairmentOfIntangibleAssetsCustomerContracts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for impairment of intangible assets (customer contracts)</label>
    <label xlink:label="label_foresightgroup_foresightgroupAdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts_Standard" id="foresightgroup_foresightgroupAdjustmentsForReversalOfImpairmentOfIntangibleAssetsCustomerContracts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for reversal of impairment of intangible assets (customer contracts)</label>
    <label xlink:label="label_foresightgroup_foresightgroupAdjustmentsForDecreaseIncreaseInContractCosts_Standard" id="foresightgroup_foresightgroupAdjustmentsForDecreaseIncreaseInContractCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for decrease/(increase) in contract costs</label>
    <label xlink:label="label_foresightgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" id="foresightgroup_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash generated from operations</label>
    <label xlink:label="label_foresightgroup_foresightgroupEarnOutConsiderationPaidClassifiedAsOperatingActivities_Standard" id="foresightgroup_foresightgroupEarnOutConsiderationPaidClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Earn-out consideration paid classified as operating activities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="foresightgroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash from operating activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupInitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities_Standard" id="foresightgroup_foresightgroupInitialDirectCostsPaidOnAcquisitionOfRightOfUseAssetsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Initial direct costs paid on acquisition of right-of-use assets classified as investing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities_Standard" id="foresightgroup_foresightgroupProceedsFromDerivativeInstrumentsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from derivative instruments, classified as investing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupContingentConsiderationPaidClassifiedAsInvestingActivities_Standard" id="foresightgroup_foresightgroupContingentConsiderationPaidClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Contingent consideration paid classified as investing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupAcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities_Standard" id="foresightgroup_foresightgroupAcquisitionOfWHEBNetOfCashAndCashEquivalentsAcquiredClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of WHEB net of cash and cash equivalents acquired classified as investing activities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="foresightgroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash from investing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupFGLLPMembersCapitalContributionsClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupFGLLPMembersCapitalContributionsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">FGLLP members’ capital contributions classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupPurchaseOfOwnSharesClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupPurchaseOfOwnSharesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of own shares classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupPurchaseOfTreasurySharesClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupPurchaseOfTreasurySharesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of treasury shares classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupInterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest paid on lease liabilities classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupProceedsFromLeaseIncentivesClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupProceedsFromLeaseIncentivesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from lease incentives classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupInterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupInterestPaidOnLoanLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest paid on loan liabilities classified as financing activities</label>
    <label xlink:label="label_foresightgroup_foresightgroupOtherInterestPaidClassifiedAsFinancingActivities_Standard" id="foresightgroup_foresightgroupOtherInterestPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other interest paid classified as financing activities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="foresightgroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash from financing activities</label>
    <label xlink:label="label_foresightgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="foresightgroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net increase/(decrease) in cash and cash equivalents</label>
    <label xlink:label="label_foresightgroup_foresightgroupDisclosureOfImpactOfSustainabilityAndClimateChange_Standard" id="foresightgroup_foresightgroupDisclosureOfImpactOfSustainabilityAndClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of impact of sustainability and climate change</label>
    <label xlink:label="label_foresightgroup_foresightgroupDisclosureOfContractAssets_Standard" id="foresightgroup_foresightgroupDisclosureOfContractAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of contract assets</label>
    <label xlink:label="label_foresightgroup_foresightgroupDisclosureOfAcquisitionRelatedLiabilities_Standard" id="foresightgroup_foresightgroupDisclosureOfAcquisitionRelatedLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of acquisition-related liabilities</label>
    <label xlink:label="label_foresightgroup_foresightgroupDescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities_Standard" id="foresightgroup_foresightgroupDescriptionOfAccountingPolicyForAcquisitionRelatedLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for acquisition-related liabilties</label>
    <label xlink:label="label_foresightgroup_foresightgroupDisclosureOfUltimateHoldingCompany_Standard" id="foresightgroup_foresightgroupDisclosureOfUltimateHoldingCompany_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of ultimate holding company</label>
  </labelLink>
</linkbase>